// FILENAME:	Canyon_Crusade_SE.cs | v.1.5 |
//
// AUTHOR:  	GM Mad Dog^WP^
//------------------------------------------------------------------------------

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");
exec("CCpilots.cs");

// to disable team damage in the server, comment these two lines
$server::TeamDamage =		true;
$enableTeamHittingPenalty = 	"true";

$missionName = "Canyon_Crusade_SE";


// Global Variables
// -------------------------------------------------------------------------
$cygen1Destroyed = false;
$cygen2Destroyed = false;
$cygensDestroyed = 0;
$cygenstoDestroy = 2;

$blueHerc1RespawnTime = 0;
$blueHerc2RespawnTime = 0;
$blueHerc3RespawnTime = 0;
$blueHerc4RespawnTime = 0;
$blueHerc5RespawnTime = 0;
$blueHerc6RespawnTime = 0;
$yellowHerc1RespawnTime = 0;
$yellowHerc2RespawnTime = 0;
$yellowHerc3RespawnTime = 0;
$yellowHerc4RespawnTime = 0;
$yellowHerc5RespawnTime = 0;
$yellowHerc6RespawnTime = 0;
$c1RespawnTime = 0;
$c2RespawnTime = 0;
$c3RespawnTime = 0;
$c4RespawnTime = 0;
$c5RespawnTime = 0;
$BRespawnTime = 0;

$blueHerc1Path = "MissionGroup/blueHerc1Path";
$blueHerc2Path = "MissionGroup/blueHerc2Path";
$blueHerc3Path = "MissionGroup/blueHerc3Path";
$blueHerc4Path = "MissionGroup/blueHerc4Path";
$blueHerc5Path = "MissionGroup/blueHerc5Path";
$blueHerc6Path = "MissionGroup/blueHerc6Path";
$yellowHerc1Path = "MissionGroup/yellowHerc1Path";
$yellowHerc2Path = "MissionGroup/yellowHerc2Path";
$yellowHerc3Path = "MissionGroup/yellowHerc3Path";
$yellowHerc4Path = "MissionGroup/yellowHerc4Path";
$yellowHerc5Path = "MissionGroup/yellowHerc5Path";
$yellowHerc6Path = "MissionGroup/yellowHerc6Path";
$c1P = "MissionGroup/c1P";
$c2P = "MissionGroup/c1P";
$c3P = "MissionGroup/c1P";
$c4P = "MissionGroup/c1P";
$c5P = "MissionGroup/c1P";
$BP = "MissionGroup/BP";

$cygenflm1 = "MissionGroup/Extra/cygenflm1";
$cygenflm2 = "MissionGroup/Extra/cygenflm2";

$respawnDelay = 60;

// Default game info
// -------------------------------------------------------------------------
function setDefaultMissionOptions()
{
	$server::TeamPlay = True;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = false;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = true;
	$server::AllowTeamPurple = false;

	$server::disableTeamRed = true;
	$server::disableTeamBlue = false;
	$server::disableTeamYellow = false;
	$server::disableTeamPurple = true;
}


// Mission load variables
// -------------------------------------------------------------------------
function onMissionLoad()
{
  %jmsg = "<f5>Canyon_Crusade_SE v.1.5\n\n<f4>This is a TDM only map ... why?  If it were set" @
  "to DM, the AI [AND the arty turrets!] would be nuts and start destroying everything.  There" @
  "are a ton of easter eggs hidden around the map and some must be found in succession to reveal" @
  "the next. Each base has a set of indestructible artillery turrets - you must destroy their" @
  "generators if you want to shut them down.  Good luck!";
  setGameInfo(%jmsg);     

   cdAudioCycle("Purge", "Newtech", "Cyberntx"); 

    $blueHerc1 = getObjectId( "MissionGroup/blueHercs/h1" );
    $blueHerc2 = getObjectId( "MissionGroup/blueHercs/h2" );
    $blueHerc3 = getObjectId( "MissionGroup/blueHercs/h3" );
    $blueHerc4 = getObjectId( "MissionGroup/blueHercs/h4" );
    $blueHerc5 = getObjectId( "MissionGroup/blueHercs/h5" );
    $blueHerc6 = getObjectId( "MissionGroup/blueHercs/h6" );
 
    $yellowHerc1 = getObjectId( "MissionGroup/yellowHercs/h1" );
    $yellowHerc2 = getObjectId( "MissionGroup/yellowHercs/h2" );
    $yellowHerc3 = getObjectId( "MissionGroup/yellowHercs/h3" );
    $yellowHerc4 = getObjectId( "MissionGroup/yellowHercs/h4" );
    $yellowHerc5 = getObjectId( "MissionGroup/yellowHercs/h5" );
    $yellowHerc6 = getObjectId( "MissionGroup/yellowHercs/h6" );

    $c1 = getObjectId( "MissionGroup/eH/c1" );
    $c2 = getObjectId( "MissionGroup/eH/c2" );
    $c3 = getObjectId( "MissionGroup/eH/c3" );
    $c4 = getObjectId( "MissionGroup/eH/c4" );
    $c5 = getObjectId( "MissionGroup/eH/c5" );

    $B = getObjectId( "MissionGroup/eH/B" );

    $cygenflm1 = getObjectId( "MissionGroup/Extra/cygenflm1" );
    $cygenflm2 = getObjectId( "MissionGroup/Extra/cygenflm2" );

    order( "MissionGroup\\eH\\cD", shutdown, true );
//    order( "MissionGroup\\eH\\tB1", shutdown, true );
//    order( "MissionGroup\\eH\\tB2", shutdown, true );
 }


// Position the map
$server::HudMapViewOffsetX = -1000;
$server::HudMapViewOffsetY = 1055;


// When the mission starts ...
// -------------------------------------------------------------------------

function onMissionStart()
{
	TemperateSounds();
      $startTime = getCurrentTime();

	order( $blueHerc1, guard, $blueHerc1Path );
	order( $blueHerc2, guard, $blueHerc2Path );
	order( $blueHerc3, guard, $blueHerc3Path );
	order( $blueHerc4, guard, $blueHerc4Path );
	order( $blueHerc5, guard, $blueHerc5Path );
	order( $blueHerc6, guard, $blueHerc6Path );
	order( $yellowHerc1, guard, $yellowHerc1Path );
	order( $yellowHerc2, guard, $yellowHerc2Path );
	order( $yellowHerc3, guard, $yellowHerc3Path );
	order( $yellowHerc4, guard, $yellowHerc4Path );
	order( $yellowHerc5, guard, $yellowHerc5Path );
	order( $yellowHerc6, guard, $yellowHerc6Path );
	order( $c1, guard, $c1P );
	order( $c2, guard, $c2P );
	order( $c3, guard, $c3P );
	order( $c4, guard, $c4P );
	order( $c5, guard, $c5P );
	order( $B, guard, $BP );
}


// When a player joins the game, say this ...
// -------------------------------------------------------------------------
function player::onAdd(%this)
{
	player::onAddLog(%this);
	say(%this,0,"<f4>----=(*)=----<f1>[ IMPORTANT! ]<f4>----=(*)=----");
	say(%this,0,"This is a TDM only map, stick with your teammates and create a plan before engaging." @
      "Click on the blinking question mark for customized game info. <f6>TEAM DAMAGE IS <f2>ON!","F3_Riana_woo.WAV");
}  


// Get the player's name when they join the game
// -------------------------------------------------------------------------
//function vehicle::onAdd(%vehicleId)
//{
//	%vehicleId.name = getHUDName(%vehicleId);
//}


// Pretty Colours
// --------------------------------------------------------------------------
function fire::trigger::onContact(%this, %vehicleId)
{
	%p = getHUDName(%vehicleId);
	say("Everybody", 1, %p @ " got a little too close to fire.","F4_Tiger_Imscorched.WAV");
	healObject(%vehicleId, -2000);
}

// Teleporter... of sorts...
// --------------------------------------------------------------------------
function arach::structure::onAttacked(%this, %attacker)
{
  setPosition(%attacker, 127.83, -312.82, 250);
  say(0,1,"sfx_steam.wav");
}


// Teleporter... of sorts... for the other team ...
// --------------------------------------------------------------------------
function mine::structure::onAttacked(%this, %attacker)
{
  setPosition(%attacker, -1297, 1424, 110);
  say(0,1,"sfx_thunder1.wav");
}


// Let's give the enemy a way point to your base!
// --------------------------------------------------------------------------
function vehicle::onAdd(%vehicle)
{
   // See if it is a player
   %player = playerManager::vehicleIdToPlayerNum(%this);
   if(%player == 0) 
      return;

   schedule( "setEnemyNavPoint(" @ %this @ ");", 1 );

  %player = playerManager::vehicleIdToPlayerNum(%vehicle);
}

function setEnemyNavPoint( %this )
{
   if( getTeam(%this) == *IDSTR_TEAM_BLUE )
   {
      setNavMarker( "MissionGroup/YellowBase/n1", true, %this );
   }
   else
   {
      setNavMarker( "MissionGroup/BlueBase/n1", true, %this );
   }
}

// cygen1 explode
// --------------------------------------------------------------------------
function cygen1::structure::onDestroyed( %this, %who )
{
  setShapeVisibility($cygenflm1, true);
  playAnimSequence(getObjectId("MissionGroup\\Extra\\cygenflm1"), 0, true);
  schedule("stopcygenflm1();", 10 );
  $cygen1Destroyed = true;
  $cygensDestroyed++;
  checkForNone();

  %p = getHUDName(%who);
  if ( $cygen2Destroyed == true )
  {
    schedule("thisIsTheEnd();", 0 );
  }
  else
  {
    say("Everybody", 1, %p @ " is one generator away from grounding the dropship!","M2_WAR_coverme.wav");
  }
}

function stopcygenflm1()
{
  stopAnimSequence("MissionGroup\\Extra\\cygenflm1", Sequence01);
  setShapeVisibility($cygenflm1, false);
}

// cygen2 explode
// --------------------------------------------------------------------------
function cygen2::structure::onDestroyed( %this, %who )
{
  setShapeVisibility($cygenflm2, true);
  playAnimSequence(getObjectId("MissionGroup\\Extra\\cygenflm2"), 0, true);
  schedule("stopcygenflm2();", 10 );
  $cygen2Destroyed = true;
  $cygensDestroyed++;
  checkForNone();
  order( "MissionGroup\\eH\\cD", guard, "MissionGroup\\cDP" );
//  order( "MissionGroup\\eH\\tB1", attack, "MissionGroup\\tB1P" );
//  order( "MissionGroup\\eH\\tB1", attack, "MissionGroup\\tB2P" );

  %p = getHUDName(%who);
  if ( $cygen1Destroyed == true )
  {
    schedule("thisIsTheEnd();", 0 );
  }
  else
  {
    say("Everybody", 1, %p @ " is one generator away from grounding the dropship!","M2_WAR_coverme.wav");
  }
}

function stopcygenflm2()
{
  stopAnimSequence("MissionGroup\\Extra\\cygenflm2", Sequence01);
  setShapeVisibility($cygenflm2, false);
}

// cybrid chat and effects
// --------------------------------------------------------------------------
function cychat(%this)
{
  say(%this,0,"Dropship: Next time we will destroy human-vermin!","C1_giverwatching.WAV");
  schedule("cydropdes();", 3 );
}

function fade()
{
  fadeEvent( 0, out, 1, 0, 0, 0 );
}

function cydropdes()
{
  schedule("fade();", 4 );
//  setFlybyCamera("MissionGroup\\eH\\tB1", -100, 0, 100);
//  schedule("cameratB2();", 4 );
}

//function cameratB2()
//{
//  setFlybyCamera("MissionGroup\\eH\\tB2", -100, 0, 100);
//}

function camera()
{
  order( "MissionGroup\\eH\\cD", shutdown, true );
  setFlybyCamera("MissionGroup\\eH\\cD", -100, 0, 100);
}

function thisIsTheEnd()
{
  schedule("camera();", 2);
  schedule("cychat();", 4 );
  say("Everybody", 1, "The Dropship was grounded!","F3_Riana_yahoo.WAV");
}

function checkForNone()
{
   if( $cygensDestroyed >= $cygenstoDestroy )
   {
      schedule( "missionEndConditionMet();", 15 );
      
      %txt = "The dropship was grounded! Mission will end in 15 seconds.";
      messageBox(0, %txt);
   }
}


// Yellow NWT Generator
// --------------------------------------------------------------------------
function ynwtgen::structure::onDestroyed( %this, %who )
{
  order( "MissionGroup\\YellowBase\\yturret3", shutdown, True );

  playAnimSequence(getObjectId("MissionGroup\\YellowBase\\Effects\\ynwtex"), 0, true);
  schedule("stopynwtex();", 2 );

  %player = playerManager::vehicleIdToPlayerNum( %who );
  if(%player != 0)

  %txt = "<F5>" @ getHUDName(%who) @ " blew up the Yellow North West Turret Generator!";
  say(IDSTR_TEAM_BLUE, 1234, %txt, "F2_DM_iloveitwhen.wav");    


  %txt = "<F5>" @ getHUDName(%who) @ " from the blue team blew up your North West Turret Generator!";
  say(IDSTR_TEAM_YELLOW, 1234, %txt, "F2_DM_iloveitwhen.wav");
}

  function stopynwtex()
{
  stopAnimSequence("MissionGroup\\YellowBase\\Effects\\ynwtex", Sequence01);
}


// Yellow NET Generator
// --------------------------------------------------------------------------
function ynetgen::structure::onDestroyed( %this, %who )
{
  order( "MissionGroup\\YellowBase\\yturret1", shutdown, True );

  playAnimSequence(getObjectId("MissionGroup\\YellowBase\\Effects\\ynetex"), 0, true);
  schedule("stopynetex();", 2 );

  %player = playerManager::vehicleIdToPlayerNum( %who );
  if(%player != 0)

  %txt = "<F5>" @ getHUDName(%who) @ " blew up the Yellow North East Turret Generator!";
  say(IDSTR_TEAM_BLUE, 1234, %txt, "F2_DM_iloveitwhen.wav");    


  %txt = "<F5>" @ getHUDName(%who) @ " from the blue team blew up your North East Turret Generator!";
  say(IDSTR_TEAM_YELLOW, 1234, %txt, "F2_DM_iloveitwhen.wav");
}

function stopynetex()
{
  stopAnimSequence("MissionGroup\\YellowBase\\Effects\\ynetex", Sequence01);
}


// Yellow ST Generator
// --------------------------------------------------------------------------
function ystgen::structure::onDestroyed( %this, %who )
{
  order( "MissionGroup\\YellowBase\\yturret2", shutdown, True );

  playAnimSequence(getObjectId("MissionGroup\\YellowBase\\Effects\\ystex"), 0, true);
  schedule("stopystex();", 2 );

  %player = playerManager::vehicleIdToPlayerNum( %who );
  if(%player != 0)

  %txt = "<F5>" @ getHUDName(%who) @ " blew up the Yellow South Turret Generator!";
  say(IDSTR_TEAM_BLUE, 1234, %txt, "F2_DM_iloveitwhen.wav");    


  %txt = "<F5>" @ getHUDName(%who) @ " from the blue team blew up your South Turret Generator!";
  say(IDSTR_TEAM_YELLOW, 1234, %txt, "F2_DM_iloveitwhen.wav");
}

function stopystex()
{
  stopAnimSequence("MissionGroup\\YellowBase\\Effects\\ystex", Sequence01);
}


// Blue NWT Generator
// --------------------------------------------------------------------------
function nwtgen::structure::onDestroyed( %this, %who )
{
  order( "MissionGroup\\BlueBase\\bturret1", shutdown, True );

  playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Effects\\nwtex"), 0, true);
  schedule("stopnwtex();", 2 );

  %player = playerManager::vehicleIdToPlayerNum( %who );
  if(%player != 0)

  %txt = "<F5>" @ getHUDName(%who) @ " from the yellow team blew up your North West Turret Generator!";
  say(IDSTR_TEAM_BLUE, 1234, %txt, "F2_DM_iloveitwhen.wav");    


  %txt = "<F5>" @ getHUDName(%who) @ " blew up the Blue North West Turret Generator!";
  say(IDSTR_TEAM_YELLOW, 1234, %txt, "F2_DM_iloveitwhen.wav");
}

function stopnwtex()
{
  stopAnimSequence("MissionGroup\\BlueBase\\Effects\\nwtex", Sequence01);
}


// Blue NET Generator
// --------------------------------------------------------------------------
function netgen::structure::onDestroyed( %this, %who )
{
  order( "MissionGroup\\BlueBase\\bturret3", shutdown, True );

  playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Effects\\netex"), 0, true);
  schedule("stopnetex();", 2 );

  %player = playerManager::vehicleIdToPlayerNum( %who );
  if(%player != 0)

  %txt = "<F5>" @ getHUDName(%who) @ " from the yellow team blew up your North East Turret Generator!";
  say(IDSTR_TEAM_BLUE, 1234, %txt, "F2_DM_iloveitwhen.wav");    


  %txt = "<F5>" @ getHUDName(%who) @ " blew up the Blue North East Turret Generator!";
  say(IDSTR_TEAM_YELLOW, 1234, %txt, "F2_DM_iloveitwhen.wav");
}

function stopnetex()
{
  stopAnimSequence("MissionGroup\\BlueBase\\Effects\\netex", Sequence01);
}


// Blue ST Generator
// --------------------------------------------------------------------------
function stgen::structure::onDestroyed( %this, %who )
{
  order( "MissionGroup\\BlueBase\\bturret2", shutdown, True );

  playAnimSequence(getObjectId("MissionGroup\\BlueBase\\Effects\\stex"), 0, true);
  schedule("stopstex();", 2 );

  %player = playerManager::vehicleIdToPlayerNum( %who );
  if(%player != 0)

  %txt = "<F5>" @ getHUDName(%who) @ " from the yellow team blew up your South Turret Generator!";
  say(IDSTR_TEAM_BLUE, 1234, %txt, "F2_DM_iloveitwhen.wav");    


  %txt = "<F5>" @ getHUDName(%who) @ " blew up the Blue South Turret Generator!";
  say(IDSTR_TEAM_YELLOW, 1234, %txt, "F2_DM_iloveitwhen.wav");
}

function stopstex()
{
  stopAnimSequence("MissionGroup\\BlueBase\\Effects\\stex", Sequence01);
}


// Clone and spawn AI HERCs
// --------------------------------------------------------------------------
function vehicle::onDestroyed( %this, %destroyer )
{
   if( %this == $blueHerc1 )
   {
         schedule( "clone(\"$blueHerc1\", " @ %this @ ", 156, -206, 174);", $respawnDelay);
   }
   if( %this == $blueHerc2 )
   {
         schedule( "clone(\"$blueHerc2\", " @ %this @ ", -7, -217, 180);", $respawnDelay);
   }
   if( %this == $blueHerc3 )
   {
         schedule( "clone(\"$blueHerc3\", " @ %this @ ", 214, -309, 175);", $respawnDelay);
   }

   if( %this == $blueHerc4 )
   {
        schedule( "clone(\"$blueHerc4\", " @ %this @ ", -40, -393, 191);", $respawnDelay);
   }
   if( %this == $blueHerc5 )
   {
         schedule( "clone(\"$blueHerc5\", " @ %this @ ", 226, -63, 173);", $respawnDelay);
   }
   if( %this == $blueHerc6 )
   {
         schedule( "clone(\"$blueHerc6\", " @ %this @ ", 124, -515, 181);", $respawnDelay);
   }
   if( %this == $yellowHerc1 )
   {
         schedule( "clone(\"$yellowHerc1\", " @ %this @ ", -1303, 1070, 52);", $respawnDelay);
   }
   if( %this == $yellowHerc2 )
   {
         schedule( "clone(\"$yellowHerc2\", " @ %this @ ", -1074, 1756, 58);", $respawnDelay);
   }
   if( %this == $yellowHerc3 )
   {
         schedule( "clone(\"$yellowHerc3\", " @ %this @ ", -1233, 1392, 52);", $respawnDelay);
   }
   if( %this == $yellowHerc4 )
   {
         schedule( "clone(\"$yellowHerc4\", " @ %this @ ", -1420, 1206, 49);", $respawnDelay);
   }

   if( %this == $yellowHerc5 )
   {
         schedule( "clone(\"$yellowHerc5\", " @ %this @ ", -1591, 1056, 22);", $respawnDelay);
   }

   if( %this == $redHerc6 )
   {
         schedule( "clone(\"$yellowHerc6\", " @ %this @ ", -1534, 1570, 49);", $respawnDelay);
   }
   if( %this == $c1 )
   {
         schedule( "clone(\"$c1\", " @ %this @ ", -2650, -6093, 7);", $respawnDelay);
   }
   if( %this == $c2 )
   {
         schedule( "clone(\"$c2\", " @ %this @ ", -2626, -6093, 7);", $respawnDelay);
   }
   if( %this == $c3 )
   {
         schedule( "clone(\"$c3\", " @ %this @ ", -2606, -6092, 7);", $respawnDelay);
   }

   if( %this == $c4 )
   {
        schedule( "clone(\"$c4\", " @ %this @ ", -2588, -6903, 7);", $respawnDelay);
   }
   if( %this == $c5 )
   {
         schedule( "clone(\"$c5\", " @ %this @ ", -2569, -6092, 7);", $respawnDelay);
   }
   if( %this == $B )
   {
         schedule( "clone(\"$B\", " @ %this @ ", -2329, -6059, 7);", $respawnDelay);
   }


   // Left over from missionStdLib.cs
   vehicle::onDestroyedLog(%this, %destroyer);
   
   %message = getFancyDeathMessage(getHUDName(%this), getHUDName(%destroyer));
   if(%message != "")
   {
      say( 0, 0, %message);
   }
   if
  (
      (getTeam(%this) == getTeam(%destroyer)) &&
      (%this != %destroyer)
   )
   {
      antiTeamKill(%destroyer);
   }
}


// Clone 'em
// --------------------------------------------------------------------------
function clone(%globalVarName, %old, %x, %y, %z)
{
   %clone = cloneVehicle(%old);
   setPosition(%clone, %x, %y, %z);

   schedule( "deleteObject(" @ %old @ ");", $respawnDelay );

   schedule( %globalVarName @ " = " @ %clone @ ";", 0);

   addToSet( "MissionGroup", %clone );

   %path = %globalVarName @ "Path";
   schedule( "order( " @ %clone @ ", guard, " @ %path @ " );", 1 );
}


// Salute!
// --------------------------------------------------------------------------

function tree::structure::onAttacked(%this, %attacker)
{
  %rf = getObjectId( "MissionGroup\\Misc\\rflag" );
  setShapeVisibility(%rf, true);
  %p = getHUDName(%attacker);
  say("Everybody", 1, %p @ ", has uncovered the rebel flag!","M5_TDM_partyatred.wav");
  playAnimSequence(getObjectId("MissionGroup\\Misc\\rflag"), 0, true);
}


// Rebel Flag
// --------------------------------------------------------------------------
function flag::trigger::onEnter(%this, %vehicleId)
{
  %ltw = getObjectId( "MissionGroup\\Misc\\ltower" );
  setShapeVisibility(%ltw, true);
  schedule("noflag();", 5 );
  %p = getHUDName(%vehicleId);
  say("Everybody", 1, %p @ ", has uncovered the Listening Tower!","F3_Riana_damn3.WAV");
  playAnimSequence(getObjectId("MissionGroup\\Misc\\ltower"), 0, true);
}


// Hide the flag
// --------------------------------------------------------------------------
function noflag()
{
  %rf = getObjectId( "MissionGroup\\Misc\\rflag" );
  setShapeVisibility(%rf, false);
}



// Can you destroy it?
// --------------------------------------------------------------------------

function ltower::structure::onAttacked(%this, %attacker)
{
  %s = getObjectId( "MissionGroup\\Misc\\ship" );
  setShapeVisibility(%s, true);
  schedule("noltw();", 5 );
  %p = getHUDName(%attacker);
  say("Everybody", 1, %p @ ", has uncovered the Human Ship!","M10_Jaguar_wooh.WAV");
}


// Hide the turret
// --------------------------------------------------------------------------
function noltw()
{
  %ltw = getObjectId( "MissionGroup\\Misc\\ltower" );
  setShapeVisibility(%ltw, false);
}

// Find Frosty!
// --------------------------------------------------------------------------

function ship::structure::onAttacked(%this, %attacker)
{
  %f = getObjectId( "MissionGroup\\Misc\\Frosty" );
  setShapeVisibility(%f, true);
  schedule("noship();", 5);
  %p = getHUDName(%attacker);
  say("Everybody", 1, %p @ ", has uncovered Frosty!","F5_Verity_oohstone.WAV");
}


// Hide the ship
// --------------------------------------------------------------------------
function noship()
{
  %s = getObjectId( "MissionGroup\\Misc\\ship" );
  setShapeVisibility(%s, false);
}

// On top of the world!
// --------------------------------------------------------------------------

function Frosty::structure::onAttacked(%this, %attacker)
{
  %w = getObjectId( "MissionGroup\\Misc\\pearth" );
  setShapeVisibility(%w, true);
  schedule("nofrosty();", 1);
  %p = getHUDName(%attacker);
  setPosition(%attacker, -1228.67, 1192.6, 745.58);
  say("Everybody", 1, %p @ ", is on top of the world :)","F6_DWish_lookitthatl.WAV");
}


// Hide Frosty, quick!
// --------------------------------------------------------------------------
function nofrosty()
{
  %f = getObjectId( "MissionGroup\\Misc\\Frosty" );
  setShapeVisibility(%f, false);
}


// Drop Pod Mayhem
// --------------------------------------------------------------------------
//function touch::trigger::onEnter(%this, %vehicleId)
//{
//	%p = getHUDName(%vehicleId);
//	say("Everybody", 1, %p @ " was warned not to touch MD's drop pod, now he will pay the consequences.","M12_HMan_thatll.WAV");
//	setPosition(%vehicleId, 7914, 2245, 238);
//}


// Warning...
// --------------------------------------------------------------------------
//function WarnTouch::trigger::onEnter(%this, %vehicleId)
//{
//	%p = getHUDName(%vehicleId);
//	say("Everybody", 1, %p @ ", please do not touch MD's drop pod, it is for your own safety that you obey this warning...","M3_TDM_fallback.wav");
//}



// What's that?
// --------------------------------------------------------------------------
//function gorg::trigger::onEnter(%this, %vehicleId)
//{
//	%p = getHUDName(%vehicleId);
//	say("Everybody", 1, %p @ ", you don't know what you're in for!","F2_DM_somebodycall.wav");
//	setPosition(%vehicleId, 2506, -2999, 0);
//}



// Healing Pad Functionality
//------------------------------------------------------------------------------
function ZenHeal::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_HEALPAD, true, true);  
}
function ZenHeal::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, 0, $padWaitTime, true); 
}



// Ammo Pad Functionality
//------------------------------------------------------------------------------
function ZenAmmo::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_AMMOPAD, true, true);  
}

function ZenAmmo::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, 0, $ammoRate, $padWaitTime, true); 
}



// ZenAll Pad Functionality
//------------------------------------------------------------------------------
function ZenAll::trigger::onEnter(%this, %object)
{
   	Zen::onEnter(%this, %object, *IDMULT_CHAT_ALLPAD, true, true);  
}
function ZenAll::trigger::onContact(%this, %object)
{
   	Zen::work(%this, %object, $healRate, $ammoRate, $padWaitTime, true); 
}


// Have to delete the AI ghosts at the mission end for ded server cycling.
//------------------------------------------------------------------------------
function onMissionEnd()
{
  deleteObject($blueHerc1);
  deleteObject($blueHerc2);
  deleteObject($blueHerc3);
  deleteObject($blueHerc4);
  deleteObject($blueHerc5);
  deleteObject($blueHerc6);

  deleteObject($yellowHerc1);
  deleteObject($yellowHerc2);
  deleteObject($yellowHerc3);
  deleteObject($yellowHerc4);
  deleteObject($yellowHerc5);
  deleteObject($yellowHerc6);

  deleteObject($c1);
  deleteObject($c2);
  deleteObject($c3);
  deleteObject($c4);
  deleteObject($c5);

  deleteObject($B);
}